Loading...
Searching...
No Matches
_QCubeInfo Struct Reference

## Data Fields

QNodeInfo * | root
size_t | colors
size_t | maximum_colors
ssize_t | transparent_index
MagickSizeType | transparent_pixels
DoublePixelPacket | target
double | distance
double | pruning_threshold
double | next_threshold
size_t | nodes
size_t | free_nodes
size_t | color_number
QNodeInfo * | next_node
QNodes * | node_queue
MemoryInfo * | memory_info
ssize_t * | cache
DoublePixelPacket | error [ErrorQueueLength]
double | diffusion
double | weights [ErrorQueueLength]
QuantizeInfo * | quantize_info
MagickBooleanType | associate_alpha
ssize_t | x
ssize_t | y
size_t | depth
MagickOffsetType | offset
MagickSizeType | span

## Detailed Description

Definition at line 265 of file quantize.c.

## Field Documentation

## associate_alpha

MagickBooleanType _QCubeInfo::associate_alpha

Definition at line 316 of file quantize.c.

## cache

ssize_t* _QCubeInfo::cache

Definition at line 303 of file quantize.c.

## color_number

size_t _QCubeInfo::color_number

Definition at line 291 of file quantize.c.

## colors

size_t _QCubeInfo::colors

Definition at line 271 of file quantize.c.

## depth

size_t _QCubeInfo::depth

Definition at line 323 of file quantize.c.

## diffusion

double _QCubeInfo::diffusion

Definition at line 309 of file quantize.c.

## distance

double _QCubeInfo::distance

Definition at line 284 of file quantize.c.

## error

DoublePixelPacket _QCubeInfo::error[ErrorQueueLength]

Definition at line 306 of file quantize.c.

## free_nodes

size_t _QCubeInfo::free_nodes

Definition at line 290 of file quantize.c.

## maximum_colors

size_t _QCubeInfo::maximum_colors

Definition at line 272 of file quantize.c.

## memory_info

MemoryInfo* _QCubeInfo::memory_info

Definition at line 300 of file quantize.c.

## next_node

QNodeInfo* _QCubeInfo::next_node

Definition at line 294 of file quantize.c.

## next_threshold

double _QCubeInfo::next_threshold

Definition at line 286 of file quantize.c.

## node_queue

QNodes* _QCubeInfo::node_queue

Definition at line 297 of file quantize.c.

## nodes

size_t _QCubeInfo::nodes

Definition at line 289 of file quantize.c.

## offset

MagickOffsetType _QCubeInfo::offset

Definition at line 326 of file quantize.c.

## pruning_threshold

double _QCubeInfo::pruning_threshold

Definition at line 285 of file quantize.c.

## quantize_info

QuantizeInfo* _QCubeInfo::quantize_info

Definition at line 313 of file quantize.c.

## root

QNodeInfo* _QCubeInfo::root

Definition at line 268 of file quantize.c.

## span

MagickSizeType _QCubeInfo::span

Definition at line 329 of file quantize.c.

## target

DoublePixelPacket _QCubeInfo::target

Definition at line 281 of file quantize.c.

## transparent_index

ssize_t _QCubeInfo::transparent_index

Definition at line 275 of file quantize.c.

## transparent_pixels

MagickSizeType _QCubeInfo::transparent_pixels

Definition at line 278 of file quantize.c.

## weights

double _QCubeInfo::weights[ErrorQueueLength]

Definition at line 310 of file quantize.c.

## x

ssize_t _QCubeInfo::x

Definition at line 319 of file quantize.c.

## y

ssize_t _QCubeInfo::y

Definition at line 320 of file quantize.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/quantize.c